# Copyright (C) 2024 Maxwell G <maxwell@gtmx.me>
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT

%global forgeurl https://gitlab.com/gotmax23/go-vendor-tools
%define tag v%{version}

Name:           go-vendor-tools
Version:        0.1.0~35.20240304.98eb65b
%forgemeta
Release:        1%{?dist}
Summary:        Tools for handling Go library vendoring in Fedora

License:        MIT
URL:            %{forgeurl}
Source0:        go-vendor-tools-0.1.0~35.20240304.98eb65b.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       (askalono-cli or trivy)


%description
Tools for handling Go library vendoring in Fedora


%prep
%autosetup -p1 


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files go_vendor_tools

install -Dpm 0644 rpm/macros.go_vendor_tools -t %{buildroot}%{_rpmmacrodir}


%check
%pytest


%files -f %{pyproject_files}
%doc README.md
%license LICENSES/*
%{_bindir}/go_vendor*
%{_rpmmacrodir}/macros.go_vendor_tools

%pyproject_extras_subpkg -n go-vendor-tools all

%changelog
* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~35.20240304.98eb65b-1
- tests autorestic: update license configuration

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~34.20240304.bfc23a1-1
- gomod: improve check for unlicensed modules

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~33.20240304.a08100c-1
- archive: remove extra_files support

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~32.20240304.8723523-1
- refactor(all): config, add granular exceptions, and add archive options

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~31.20240304.ff7352c-1
- rpm: remove unnecessary shescapes and fix naming

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~30.20240304.4e9af47-1
- ci packit: fix compatibility with forge macros

* Mon Mar 04 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~29.20240304.6229403-1
- go_vendor_archive: add flag to enable Go module proxy

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~28.20240303.ea6b8c4-1
- ci: remove references to Sourcehut

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~27.20240303.928489f-1
- ci packit: temporarily disable epel-9 builds

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~26.20240303.72d5cf6-1
- ci: update packit configuration

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~25.20240303.974f965-1
- tests: rename integration packages to avoid conflicts

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~24.20240303.7a2b5de-1
- tests autorestic: test -b and -B macro flags

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~23.20240303.5fca78c-1
- tests autorestic: add additional license to config

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~22.20240303.1c67762-1
- rpm: sync new CLI arguments with macro argspec

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~21.20240303.79147e2-1
- tests: use local go_vendor_archive if available

* Sun Mar 03 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~20.20240303.73e3a13-1
- Split license detection into backends; clean up

* Sat Mar 02 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~19.20240302.4a98c7c-1
- Add stub LICENSE.md file

* Fri Mar 01 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~18.20240301.250e700-1
- tests integration: verify licenses.list contents

* Fri Mar 01 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~17.20240301.ff54a13-1
- rpm: fix macro argument specification

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~16.20240229.548901c-1
- doc: add CI badge to README

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~15.20240229.813bd61-1
- packaging: add missing dependency on askalono-cli

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~14.20240229.65ec272-1
- ci packit: add golang-build to srpm_build_deps

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~13.20240229.866d85a-1
- ci: add integration packages to packit build jobs

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~12.20240229.a8cdcda-1
- tests: add integration testing with Packit

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~11.20240229.62345b3-1
- packaging: include macros file

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~10.20240229.af11e12-1
- ci: manually specify path to specfile in actions

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~9.20240229.98789a8-1
- rpmeval: remove secondary license to placate reuse lint

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~8.20240229.fb6a973-1
- ci: set branch for copr_build job trigger

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~7.20240229.d45245d-1
- lint: add missing license header

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~6.20240229.21007f7-1
- ci: fix trigger typo in Packit config

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~5.20240229.3228a9f-1
- ci: add missing packit job trigger

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~4.20240229.82c6ab2-1
- Ci: add git-core dependency

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~3.20240229.a3e739d-1
- ci: add packit configuration

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~2.20240229.22b81bc-1
- packaging: fix %%pyproject_save_files invocation

* Thu Feb 29 2024 Maxwell G <maxwell@gtmx.me> - 0.1.0~1.20240229.9a75a37-1
- ci: add initial basic Gitlab CI configuration

